#include"ebmlut.hpp"




namespace ebmlut{




Element::
Element(const ElementID*  _id):
id(_id)
{
}


Element::
~Element()
{
}




const ElementID*
Element::
get_id() const
{
  return id;
}


size_t
Element::
get_size() const
{
  size_t  size = id->codes.size();

  size += data_size_size;
  size += get_data_size();

  return size;
}


size_t
Element::
get_data_size() const
{
  return 0;
}


void
Element::
print() const
{
    if(id)
    {
      id->print();
    }
}




}




