#ifndef EBMLUT_ELEMENT_HPP_INCLUDED
#define EBMLUT_ELEMENT_HPP_INCLUDED


#include"ebmlut_element_id.hpp"




namespace ebmlut{




class
Element
{
protected:
  enum{data_size_size=8};

  const ElementID*  id;

public:
  Element(const ElementID*  _id=nullptr);

  virtual ~Element();


  const ElementID*  get_id() const;

  size_t  get_size() const;

  virtual size_t  get_data_size() const;

  virtual void  print() const;

};




}




#endif




