#ifndef EBMLUT_ELEMENT_MASTER_HPP_INCLUDED
#define EBMLUT_ELEMENT_MASTER_HPP_INCLUDED


#include"ebmlut_element.hpp"




namespace ebmlut{




class
Master: public  Element
{
  std::vector<Element*>  children;

  void  read(FILE*  f, size_t  fdata_size);

public:
   Master(const char*  path);
   Master(const ElementID*  _id, FILE*  f, size_t  f_data_size);
  ~Master();


  size_t  get_number() const;

  Element*  operator[](int  i) const;

  size_t  get_data_size() const;

  void  print() const;

};


}




#endif




