#ifndef EBMLUT_MISC_HPP_INCLUDED
#define EBMLUT_MISC_HPP_INCLUDED


#include<cstdint>
#include<cstdio>
#include<cstddef>
#include<vector>
#include<memory>
#include<initializer_list>



#define report  printf("[report] %s(%8d)\n",__FILE__,__LINE__);
#define rep(v,n)  for(int  v = 0;  v < (n);  v += 1)
#define printd(d)  report;  printf("[printd] %s %d\n",#d,(int)(d))


namespace ebmlut{




struct
VInt
{
  uint8_t  size;

  uint8_t  raw_codes[15];


  size_t  read(FILE*  f);
  size_t  read(std::vector<uint8_t>&           ls);
  size_t  read(std::initializer_list<uint8_t>  ls);

  void  print() const;

  uint64_t          get_value(bool  strip=false) const;
  uint64_t  get_decoded_value(                 ) const;

};


void  fput_vint(uint64_t   i, FILE*  f);


}




#endif




