#ifndef EBMLUT_ELEMENT_PRIMITIVES_HPP_INCLUDED
#define EBMLUT_ELEMENT_PRIMITIVES_HPP_INCLUDED


#include"ebmlut_element.hpp"




namespace ebmlut{




class
Primitives: public  Element
{
  union{
     int64_t  i64_;
    uint64_t  u64_;

    double  f64_;
  };


public:
  Primitives(const ElementID*  _id, FILE*  f, size_t  f_data_size);


  size_t  get_data_size() const;

   int64_t  get_i64() const;
  uint64_t  get_u64() const;
  double    get_f64() const;

  void  set_i64( int64_t  i64);
  void  set_u64(uint64_t  u64);
  void  set_f64(double    f64);

  void  print() const;

};




}




#endif




