#include"ebmlut.hpp"




namespace ebmlut{




Strings::
Strings(const ElementID*  _id, FILE*  f, size_t  f_data_size):
Element(_id)
{
  buffer = (char*)malloc(f_data_size+1);

  length = f_data_size;

  auto  p = buffer;

    while(f_data_size--)
    {
      *p++ = fgetc(f);
    }


  *p = 0;
}


Strings::
~Strings()
{
  free(buffer);
}




size_t
Strings::
get_data_size() const
{
  return length;
}


char
Strings::
operator[](size_t  pos) const
{
  return buffer[pos];
}


void
Strings::
print() const
{
  Element::print();

    switch(id->data_type)
    {
      case(DAT_string):
      case(DAT_utf8):
        printf("\"%s\"",buffer);
        break;
      case(DAT_binary):
        break;
    }
}


}




